%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:                   puppet-barbican
Version:                9.4.0
Release:                3%{?dist}
Summary:                Puppet module for OpenStack Barbican
License:                Apache-2.0

URL:                    https://launchpad.net/puppet-barbican

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}-0b0dbcc7e7869e8870e60d97c5bb2afe42b436b7.tar.gz

#
# patches_base=0b0dbcc7e7869e8870e60d97c5bb2afe42b436b7
#
Patch0001: 0001-Update-barbican-for-Debian-based-systems.patch
Patch0002: 0002-Manage-package-created-apache-config-file.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-stdlib
Requires:               puppet-keystone
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Puppet module which installs and configures OpenStack Barbican.

%prep
%setup -q -n openstack-barbican-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/



%files
%{_datadir}/openstack-puppet/modules/barbican/


%changelog
* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Manage package created apache config file

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Update barbican for Debian based systems

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


